// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package apis


type CdbdData struct {
	Id           int64  `json:"id" description:"id"`
	PlateNo      string `json:"plate_no" description:"车牌号"`
	IdCard string `json:"id_card"`
	Authorization string `json:"authorization"`
	Name string `json:"name"`
	Data         string `json:"data" description:"第三方API返回的数据"`
	Timestamp    int64  `json:"timestamp" description:"时间戳"`
}

func (b *CdbdData) TableName() string {
	return "t_gd_cdbd_data"
}


type DybdX001Data struct{
	Id           int64  `json:"id" description:"id"`
	DegreeId string `json:"degree_id"`
	Name string `json:"name"`
	Data string `json:"data"`
	Timestamp int64 `json:"timestamp"`
}

func (b *DybdX001Data) TableName() string {
	return "t_gd_dybd_x001_data"
}

type DybdX002Data struct{
	Id           int64  `json:"id" description:"id"`
	EducationId string `json:"education_id"`
	Name string `json:"name"`
	Data string `json:"data"`
	Timestamp int64 `json:"timestamp"`
}

func (b *DybdX002Data) TableName() string {
	return "t_gd_dybd_x002_data"
}

