package adm

import (
	"gd_service/apis"
	"gd_service/consts"
	"gd_service/errors"

	"github.com/tidwall/gjson"
)

func V01(req *apis.ThirdpartRequest) (reply string, err error) {
	req.LReq.Search = req.Params["plate_no"]
	req.ProviderInfo.ThirdpartApiRouter = consts.V01
	str, err := AdmRequest(req)
	if err != nil {
		return "", err
	}
	if str == "" {
		return "", errors.VendorError
	}

	isMatch := gjson.Get(str, "is_match").String()
	//respData := make(map[string]string)
	//utils.Convertion(respData, str)
	return isMatch, nil
}
