package adm

import (
	"gd_service/apis"
	"gd_service/consts"
	"gd_service/errors"

	"github.com/tidwall/gjson"
)

func V02(req *apis.ThirdpartRequest) (reply string, err error) {
	req.LReq.Search = req.Params["id_card"]
	req.ProviderInfo.ThirdpartApiRouter = consts.V02
	str, err := AdmRequest(req)
	if err != nil {
		return "", err
	}

	if str == "" {
		return "", errors.VendorError
	}

	isMatch := gjson.Get(str, "is_match").String()
	return isMatch, nil
}
