package adm

import (
	"gd_service/apis"
	"gd_service/consts"

	"github.com/tidwall/gjson"
)

func A01(req *apis.ThirdpartRequest) (reply string, err error) {
	req.LReq.Search = req.Params["plate_no"]
	req.ProviderInfo.ThirdpartApiRouter = consts.A01
	str, err := AdmRequest(req)
	if err != nil {
		return reply, err
	}
	dataObj := gjson.Parse(str).Get("list").Array()
	for _, v := range dataObj {
		reply = v.Get("vin").String()
		break
	}
	return reply, nil
}
